> ## Documentation Index
> Fetch the complete documentation index at: https://aci.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Linked Accounts Oauth2 Callback

> Callback endpoint for OAuth2 account linking.
- A linked account (with necessary credentials from the OAuth2 provider) will be created in the database.



## OpenAPI

````yaml get /v1/linked-accounts/oauth2/callback
openapi: 3.1.0
info:
  title: Aipolabs
  version: 0.0.1-beta.3
servers: []
security: []
paths:
  /v1/linked-accounts/oauth2/callback:
    get:
      tags:
        - linked-accounts
      summary: Linked Accounts Oauth2 Callback
      description: >-
        Callback endpoint for OAuth2 account linking.

        - A linked account (with necessary credentials from the OAuth2 provider)
        will be created in the database.
      operationId: linked-accounts-linked_accounts_oauth2_callback
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LinkedAccountPublic'
components:
  schemas:
    LinkedAccountPublic:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        project_id:
          type: string
          format: uuid
          title: Project Id
        app_name:
          type: string
          title: App Name
        linked_account_owner_id:
          type: string
          title: Linked Account Owner Id
        security_scheme:
          $ref: '#/components/schemas/SecurityScheme'
        enabled:
          type: boolean
          title: Enabled
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - project_id
        - app_name
        - linked_account_owner_id
        - security_scheme
        - enabled
        - created_at
        - updated_at
      title: LinkedAccountPublic
    SecurityScheme:
      type: string
      enum:
        - no_auth
        - api_key
        - http_basic
        - http_bearer
        - oauth2
      title: SecurityScheme
      description: security scheme type for an app (or function if support override)

````